@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&family=Sora:wght@100..800&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    width: 100%;
    height: 100%;
    top: 0;
    position: absolute;
    z-index: -2;
    background-color: #000000;
    background-image: radial-gradient(#2a2a2a 1px, #000000 1px);
    background-size: 20px 20px;
    /* box-sizing: border-box; */
   
    
}
.container {
    /* margin-top: 8px; */
    width: 100%;
    /* height: 10vh; */
    /* background-color: #0f0f0f; */
    border-radius: 10px;
    padding: 2px;
    color: #e5e5e5;
    display: flex;
    justify-content: center;
    /* align-items: center; */

}

.navigation-container {
    width: 70%;
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    /* background-color: red; */
}

.nav-name span {
    font-size: 2.5rem;
    font-weight: 600;
    color: #8b5cf6;
    font-family: "Inter", sans-serif;
}


nav ul {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    padding: 0rem 0.2rem;

}

nav ul li {
    list-style-type: none;
}

nav ul li a {
    color: #e5e5e5;
    cursor: pointer;
    text-decoration: none;
    font-family: "Space Grotesk", sans-serif;
    font-size: 1.5rem;
}

nav ul li a:hover {
    color: #aba7a7;
}

.btn {

    color: #e5e5e5;
    font-size: 1rem;
    border: none;
    cursor: pointer;
    padding: 0.5rem 1rem;
    border-radius: 0.8rem;
    background-color: #7c3aed;
    transition: background-color 0.3s ease-in-out;
    font-family: "Space Grotesk", sans-serif;
    background: linear-gradient(to right, #7c3aed, #9c40ff);
    background-size: 200%;
    background-position: left;
    transition: background-position 0.4s ease-in-out, transform 0.2s;

}
.btn a{
    text-decoration: none;
    color:#e5e5e5 ;
}

.btn:hover {
    background-color: #6d28d9;
    background-position: right;
    transform: translateY(-2px);

}


/* home page */
.home {
    width: 100%;
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;
    /* background-color: red; */

}

.note {
    /* background-color: red; */
    width: 100%;
    height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
}



.gradient-border {
    padding: 1px;
    border-radius: 9999px;
    background: linear-gradient(to right, rgba(255, 170, 64, 0.5), rgba(156, 64, 255, 0.5), rgba(255, 170, 64, 0.5));
    background-size: 200% auto;
    animation: gradientMove 5s infinite linear;
}

.note-content {
    display: inline-flex;
    align-items: center;
    background-color: #111;
    border-radius: inherit;
    padding: 0.5rem 1rem;
    z-index: 1;
}

@keyframes gradientMove {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 100% 50%;
    }
}

.launching-soon {
    background: linear-gradient(to right, #FFAA40, #9C40FF, #FFAA40);
    background-size: 200% auto;
    color: transparent;
    background-clip: text;
    -webkit-background-clip: text;
    animation: gradientText 3s infinite linear;
    font-weight: bold;
    font-size: 0.8rem;
    font-family: "Manrope";
}

@keyframes gradientText {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 100% 50%;
    }
}

.divider {
    height: 1rem;
    width: 1px;
    background-color: #666;
    margin: 0 0.5rem;
}



.texting {
    /* background-color: blue; */
    width: 100%;
    height: 25vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.texting h2 {
    font-size: 3rem;
    font-weight: 600;
    color: #e5e5e5;
    margin-bottom: 1rem;
    font-family: "Manrope", sans-serif;

}

.texting p {
    font-size: 1.5rem;
    color: #8b5cf6;
    font-family: "Manrope", sans-serif;
}



.docs {
    /* background-color: green; */
    width: 100%;
    height: 25vh;
    display: flex;
    align-items: center;
    justify-content: center;
}


.docs a {
    color: #e5e5e5;
    font-size: 1.5rem;
    border: none;
    cursor: pointer;
    padding: 0.5rem 1rem;
    border-radius: 1rem;
    background: linear-gradient(to right, #7c3aed, #9c40ff);
    background-size: 200%;
    background-position: left;
    transition: background-position 0.4s ease-in-out, transform 0.2s;
    font-family: "Space Grotesk", sans-serif;
    text-decoration: none;
}

.docs a:hover {
    background-position: right;
    transform: translateY(-2px);
}



@media (max-width:800px) {
    .nav-name span{
        font-size: 1.6rem ;
    }
    .btn{
        font-size: 0.9rem;
    }
    .docs a{
        font-size: 0.8rem;
        border-radius: 0.6rem;
    }
    
}

/* // responsive */
@media (max-width: 650px) {

    .container {
        /* background-color: blue; */
        width: 100%;
    }

    .navigation-container {

        width: 100%;
        height: auto;
        margin: 0px 2rem;
        /* background-color: red; */
        padding-right: 1rem;
        ;
    }

    .nav-name {
        width: 100%;
    }

    nav ul {
        display: none;
    }

    .btn {

        padding: 0.4rem 1rem;
        font-size: 0.8rem;
    }

    .texting h2 {
        font-size: 1.6rem;
        text-align: center;
    }

    .texting p {
        font-size: 1rem;
        text-align: center;
    }

    .docs {
        height: auto;
        padding: 1rem 0;
    }
     .docs a{
        font-size: 0.6rem;
        border-radius: 0.4rem;
     }    

}

@media (max-width: 370px) {
    .main {
        width: 100%;
        height: 100%;
    }

    .container {
        width: 100%;
        /* background-color: red; */
    }

    .navigation-container {
        width: 100%;
        height: auto;
        /* background-color: green; */
        margin: 0.5rem 0rem;
        display: flex;
        justify-content: space-around;
    }
        

 .nav-name{
    padding-left: 0.5rem;
 }
    .nav-name span {
        width: 100%;
        font-size: 1.3rem;

        
    }

    .btn {
        font-size: 0.6rem;
        padding: 0.2rem 0.9rem;
        border-radius: 0.2rem;
    }

    .texting h2 {
        font-size: 1.1rem;
        text-align: center;
    }

    .texting p {
        font-size: 0.8rem;
        text-align: center;
    }

    .docs {
        height: auto;
        padding: 1rem 0;
    }

    .docs a {
        font-size: 0.7rem;
        padding: 0.3rem 1rem;
        border: 0.5rem;
    }

    .note {
        width: auto;
    }


}